The law format could not say two things.
produces item (RFC-045).competent_authority names one authority, the one that decides (RFC-002).A requires entry may name a fact and the parameters it holds. The law says what the fact holds, not when it arises or who records it. The fact sits on the article that defines it (here art. 3 lid 1, who examines).
The loader refuses a fact without parameters, a parameter the article lacks, a fact mixed with another provision, and two facts of one name.
Both may carry their own competent_authority in the shape of RFC-002: one named authority or a list. The parking-card term is the example in Competent Authority.
# reference stays allowed there (Wlz art. 2.1.1).# reference on a term or fact, and competence on a requires entry without fact.combine on a term merges the answers of several competent actors: OR, AND, ADD, MIN, MAX, fitting the term’s type. The loader refuses it on a term without competent authorities, where only one actor is asked, and as ONLY, since two answers without a rule already fail.
A law reads such a value as an output of the establishing article, with source.regulation (RFC-007). The law names a role, never a cell, chronicle or register. Where a cell answers the term, the policy of the authority that decides binds the answer, and the engine asks the cells the term names wherever that binding runs (RFC-048 §2 and §4). RFC-046 says how a cell records.
| Choice | Source |
|---|---|
A fact is a requires entry, not a produces item | Author’s decision (Tim de Jager, 20 October 2026): a fact is not a besluit, and the law format holds no chronolexography words |
| The law gives a fact its shape, not a cell file | Author’s decision (Tim de Jager, 20 October 2026); departs from RFC-022 §1.3 |
| Competence on the term or the fact | Author’s decision (Tim de Jager, 20 October 2026), after a list on the article mixed deciding with answering |
| On a fact, competence names who establishes it | Author’s decision (Tim de Jager); recorder and competent authority stay apart (RFC-022 §1.3) and coincide only when a cell establishes the fact itself |
| A reading term repeats the fact’s competence | Own choice: deriving it would need the engine to link term and fact |
combine on the term, with FOREACH values | Author’s decision (Tim de Jager) |
Open points are listed in Open Points in Chronolexography.
EXECUTOGRAM item in produces. Built, dropped: a fact is not a besluit, and it put chronolexography in the law format.executogrammen/, schema v0.8.6) or in chronicles/ (RFC-022 §1.3). Built, dropped: the cell, not the law, would give the shape.answered_from on the reading term. A new word for what source.regulation says.source.regulation (RFC-022 §4.2). The law would name a cell, not a role.Schema v0.8.7: fact, parameters, description on requires. Schema v0.8.8: competent_authority on a term and a fact, combine on a term. Law model: ArticleRequirement::fact, ArticleRequirement::competent_authority, OpenTerm::competent_authority, OpenTerm::combine, CompetentAuthority::List; checks in load_check::reject_malformed_facts and load_check::reject_misplaced_competence. Corpus: Regeling gehandicaptenparkeerkaart art. 2 and 3; fictief_beleid_vestiging_obs_de_klimop art. 1 requires the fact vestiging, since no article in the corpus does.
An exploration into transparent, executable legislation, and one of the three projects in the starting selection of the Nederlandse Digitale Dienst.
GitHub repository
How it works
Stay informed
Roadmap (Dutch)
Documentation
Research
Nederlandse Digitale Dienst
Ministry of Economic Affairs and Climate Policy